/* Left Message Tray

    Move the message tray to the left side

    Copyright (C) 2012  Robytrevi <robytrevi@hotmail.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */

const St = imports.gi.St;
const Main = imports.ui.main;
const MessageTray = imports.ui.messageTray;
const Lang = imports.lang;
const Gettext = imports.gettext.domain('left-message-tray');
const _ = Gettext.gettext;
const SETTINGS_SCHEMA = 'org.gnome.shell.extensions.left-message-tray';
const SETTINGS_POSITION = 'position';
const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;

//Choose position from dconf-editor in org.gnome.shell.extensions.left-message-tray left/middle/right (default: left)

function init() {
}

function enable() {     
  Main.messageTray._hideTray = Lang.bind(Main.messageTray, function() {
  this._tween(this.actor, '_trayState', MessageTray.State.HIDDEN,
    { y: -1 });
  });
  let position;
  let settings = Convenience.getSettings();
  let POS = settings.get_string(SETTINGS_POSITION);
  if (POS == 'left') 
    position = St.Align.START
  else if (POS =='middle')
    position = St.Align.MIDDLE
  else if (POS == 'right' )
    position = St.Align.END
  else (global.logError("There's an error; bad value, message tray will be on the right"));
  Main.messageTray._summaryBin.x_align = position;
  Main.messageTray._hideTray();
}

function disable() {
  Main.messageTray._summaryBin.x_align = St.Align.END
}
